【ペイジェント】PHP 7 モジュール対応版

カテゴリー : アドオン
2017年11月17日 (金)

対象バージョン

CS-Cartスタンダード版、マーケットプレイス版 4.3.10-jp-1 およびそれ以前のバージョン

概要

ペイジェントの PHP モジュールにおいて
これまでは PHP 5 にのみに対応していましたが、
このパッチでは PHP 5 と PHP 7 両方のモジュールに対応しています。

この仕様変更を適用するには以下の通り修正する必要があります。

修正方法

以下のパッチファイルをダウンロードし、解凍のうえサーバーにアップロードしてください。

※ サーバー上にインストールしたCS-Cartの以下のファイルを上書きあるいは作成する形になります。
 /app/addons/paygent/func.php

 /app/addons/paygent/lib/connect_module/paygent_php5_ini.php (新規ファイル)

 /app/addons/paygent/lib/connect_module/paygent_php7_ini.php (新規ファイル)

ファイルのアップロードが完了したら、こちら または こちら を参照のうえキャッシュをクリアしてください。

 ----------------------------------------------------------------

※ お使いのCS-Cartのバージョンの確認方法は、 こちら をご参照ください。
※ CS-Cart Version4.3.10以外のバージョンをご利用の場合は、 こちら よりお問い合わせ願います。